Skip to main content
POST
Attach a transaction file to its Xero journal

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
transactionId
integer
required

A transaction already synced to Xero (its journal receives the file).

Required range: x > 0
attachmentId
integer
required

An attachment of that transaction (POST /transactions/{id}/attachments or the dashboard upload).

Required range: x > 0

Response

File attached to the Xero journal

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on November 13, 2026